
#include <contract.c>

void run() 
{
	StartDate = 2016;
	EndDate = 20180102;
	BarPeriod = 1440;

	set(LOGFILE);
	
	asset("SPY");
	Multiplier = 100;
	
	var Price = price();
	
	var Strike, nextStrike, prevStrike;
	
	contractUpdate("SPY",0,CALL|PUT);
	
	CONTRACT *Call = contract(CALL,45,Price);
	if(Call) {
		Strike = Call->fStrike;
		printf("\nstrike: %.1f",Strike);
		CONTRACT *CallNext = contractNext(CALL,45,Strike);
		if(CallNext) {
			nextStrike = CallNext->fStrike;
			printf("\nstrike: %.1f, next strike: %.1f",Strike,nextStrike);
		}
		else
			printf("\nno next strike found");
		CONTRACT *CallPrev = contractNext(CALL,45,-Strike);
		if(CallPrev) {
			prevStrike = CallPrev->fStrike;
			printf("\nstrike: %.1f, prev strike: %.1f",Strike,prevStrike);
		}
		else
			printf("\nno prev strike found");
	}
	else
		printf("\nno ATM strike found");

}